Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 2819423002: Support flag --tabset-repeat on benchmark tab_switching (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by vovoy
Modified:
2 months, 3 weeks ago
Reviewers:
perezju, nednguyen
CC:
chromium-reviews, telemetry-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Support flag --tabset-repeat on benchmark tab_switching flag --tabset-repeat multiply the tab count of benchmark tab_switching to measure metrics on different tab count. ex: add flag --tabset-repeat=2 to double the tab count. BUG=689388 Review-Url: https://codereview.chromium.org/2819423002 Cr-Commit-Position: refs/heads/master@{#466852} Committed: https://chromium.googlesource.com/chromium/src/+/ef1307664210fb58e9b9fb85586704ca1d5e59bc

Patch Set 1 #

Total comments: 5

Patch Set 2 : fixing style #

Messages

Total messages: 35 (19 generated)
vovoy
it's the second part of Benchmark Tab Switching Refinement design doc: https://docs.google.com/document/d/1rMrrlW4-5ZGD9dHxUYBOzzkS-vyX0_mtiJ-CMT2egOY/edit#heading=h.7k3nrs3dk6g0
3 months ago (2017-04-18 05:46:28 UTC) #8
nednguyen
On 2017/04/18 05:46:28, vovoy wrote: > it's the second part of Benchmark Tab Switching Refinement ...
3 months ago (2017-04-18 11:17:30 UTC) #9
perezju
On 2017/04/18 11:17:30, nednguyen wrote: > On 2017/04/18 05:46:28, vovoy wrote: > > it's the ...
3 months ago (2017-04-18 12:58:09 UTC) #10
vovoy
On 2017/04/18 12:58:09, perezju wrote: > On 2017/04/18 11:17:30, nednguyen wrote: > > On 2017/04/18 ...
3 months ago (2017-04-19 09:49:41 UTC) #11
nednguyen
On 2017/04/19 09:49:41, vovoy wrote: > On 2017/04/18 12:58:09, perezju wrote: > > On 2017/04/18 ...
3 months ago (2017-04-21 11:37:10 UTC) #12
perezju
lgtm w/nits and a comment https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py File tools/perf/benchmarks/tab_switching.py (right): https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py#newcode42 tools/perf/benchmarks/tab_switching.py:42: return story_set Hmm, this ...
3 months ago (2017-04-21 11:59:48 UTC) #13
perezju
lgtm w/nits and a comment https://codereview.chromium.org/2819423002/diff/1/tools/perf/page_sets/system_health/multi_tab_stories.py File tools/perf/page_sets/system_health/multi_tab_stories.py (right): https://codereview.chromium.org/2819423002/diff/1/tools/perf/page_sets/system_health/multi_tab_stories.py#newcode16 tools/perf/page_sets/system_health/multi_tab_stories.py:16: ABSTRACT_STORY = True nit: ...
3 months ago (2017-04-21 11:59:48 UTC) #14
nednguyen
https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py File tools/perf/benchmarks/tab_switching.py (right): https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py#newcode42 tools/perf/benchmarks/tab_switching.py:42: return story_set On 2017/04/21 11:59:48, perezju wrote: > Hmm, ...
3 months ago (2017-04-21 12:14:03 UTC) #15
nednguyen
On 2017/04/21 12:14:03, nednguyen wrote: > https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py > File tools/perf/benchmarks/tab_switching.py (right): > > https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py#newcode42 > ...
3 months ago (2017-04-21 14:23:04 UTC) #16
vovoy
On 2017/04/21 14:23:04, nednguyen wrote: > On 2017/04/21 12:14:03, nednguyen wrote: > > > https://codereview.chromium.org/2819423002/diff/1/tools/perf/benchmarks/tab_switching.py ...
3 months ago (2017-04-21 16:04:51 UTC) #17
nednguyen
On 2017/04/21 16:04:51, vovoy wrote: > On 2017/04/21 14:23:04, nednguyen wrote: > > On 2017/04/21 ...
3 months ago (2017-04-22 05:53:13 UTC) #18
vovoy
On 2017/04/22 05:53:13, nednguyen wrote: > On 2017/04/21 16:04:51, vovoy wrote: > > On 2017/04/21 ...
2 months, 4 weeks ago (2017-04-23 10:39:17 UTC) #19
nednguyen
lgtm After discussing on the other CL, we agree that using "is_multi_tab_test = True" is ...
2 months, 4 weeks ago (2017-04-24 12:13:02 UTC) #20
vovoy
https://codereview.chromium.org/2819423002/diff/1/tools/perf/page_sets/system_health/multi_tab_stories.py File tools/perf/page_sets/system_health/multi_tab_stories.py (right): https://codereview.chromium.org/2819423002/diff/1/tools/perf/page_sets/system_health/multi_tab_stories.py#newcode16 tools/perf/page_sets/system_health/multi_tab_stories.py:16: ABSTRACT_STORY = True On 2017/04/21 11:59:48, perezju wrote: > ...
2 months, 4 weeks ago (2017-04-24 16:43:49 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2819423002/20001
2 months, 3 weeks ago (2017-04-25 01:09:46 UTC) #32
commit-bot: I haz the power
2 months, 3 weeks ago (2017-04-25 01:14:33 UTC) #35
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/ef1307664210fb58e9b9fb855867...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973